# Uses of Class
org.eclipse.jdt.core.refactoring.descriptors.RenameJavaElementDescriptor

Packages that use RenameJavaElementDescriptor
Package
Description
org.eclipse.jdt.ui.refactoring
Application programming interfaces for rename refactorings.

## Uses of RenameJavaElementDescriptor in org.eclipse.jdt.ui.refactoring

Methods in org.eclipse.jdt.ui.refactoring with parameters of type RenameJavaElementDescriptor
Modifier and Type
Method
Description
`static RenameSupport`
RenameSupport.`create(RenameJavaElementDescriptor descriptor)`
Creates a new rename support for the given `RenameJavaElementDescriptor`.